Главная > В помощь sysadmin'y, Статьи > Установка Zend Optimizer 3.3.9 на Linux сервер CentOS 5.X

Установка Zend Optimizer 3.3.9 на Linux сервер CentOS 5.X

Установка Zend Optimizer 3.3.9 сервер на линукс CentOS 5.X

Загружаем Zend Optimizer 3.3.9 (ссылка для линукс 32битной версии):
$ wget http://downloads.zend.com/optimizer/3.3.9/ZendOptimizer-3.3.9-linux-glibc23-i386.tar.gz
(ссылка для 64битной версии):
$ wget wget http://downloads.zend.com/optimizer/3.3.9/ZendOptimizer-3.3.9-linux-glibc23-x86_64.tar.gz
Распаковываем:
$ tar -xzf ZendOptimizer-3.3.9-linux-glibc23-x86_64.tar.gz
Переходим в директорию с версиями
$ cd ZendOptimizer-3.3.9-linux-glibc23-x86_64/data
Выбираем нужную вам версию по установленному у вас PHP и перемещаем в нужную нам директорию. Пример для версии PHP 5.1.*:

$ cp 5_2_x_comp/ZendOptimizer.so /usr/local/lib
Редактируем файл php.ini, добавляем строку с указанием где у нас установлен ZendOptimizer
$ nano /etc/php.ini

[Zend]
zend_extension=/usr/local/lib/ZendOptimizer.so

Перегружаем Apache:
$ /etc/init.d/httpd restart
Проверяем:
$php -v

PHP 5.1.6
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies

Установка Zend Optimizer на сервер на линукc

Читаем еще:

  1. Santa
    26 Декабрь 2012 в 12:54 | #1

    Как понимаю, это говорит о том, что zend установлен:
    ]# php -v
    PHP 5.2.10 (cli) (built: Nov 13 2009 11:24:03)
    Copyright (c) 1997-2009 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
    with eAccelerator v0.9.6.1, Copyright (c) 2004-2010 eAccelerator, by eAccelerator
    with the ionCube PHP Loader v4.2.2, Copyright (c) 2002-2012, by ionCube Ltd., and
    with Zend Optimizer v3.3.9, Copyright (c) 1998-2009, by Zend Technologies

    А страницы не отображаются, пустые. Не закодированные открывает

  2. Santa
    26 Декабрь 2012 в 12:55 | #2

    прошу помощи, не могу понять, что делаю не так

  3. 26 Декабрь 2012 в 13:15 | #3

    Да, если выдает через php -v, значит стоит, смотри логи, и уверен что надо именно Zend Optimizer, а не Zend Guard Loader и php 5.2.10

  4. Santa
    26 Декабрь 2012 в 13:22 | #4

    пробовал ставить Zend Guard Loader+php 5.3, после чего открываю страницу, ответ — не установлен Zend Optimizer

  5. 26 Декабрь 2012 в 13:25 | #5

    с начало определись что тебе надо, какие требования предъявляет разработчик

  1. Пока что нет уведомлений.
Необходимо войти на сайт, чтобы написать комментарий.